#!/bin/sh

LOG=$(dirname "$0")/../update.log
DOC=/dev/null

[ -f "$(dirname "$0")/../noeips"  ] && NOEIPS=1
[ -d /mnt/us/documents/backdoorlock ] && DOC="/mnt/us/documents/backdoorlock/Back Door Lock state.txt"
if [ "$1" == "--alert" ]
then
    if [ -d /mnt/us/documents/backdoorlock ]
    then
	DOC="/mnt/us/documents/backdoorlock/Silent update attempt detected.txt"
    	NOEIPS=1
    else
	exit
    fi
fi

echo "=================================== $(date +"%Y-%m-%d %H:%M:%S") ===============================" >> $LOG
echo "[KUAL] Lock state:" >>  $LOG

(
    echo "[ $(date +"%Y-%m-%d %H:%M:%S") ]"
    echo
    if grep -q "/mnt/us/.*updatewait" /etc/updater.conf
    then
	echo "BACK DOOR LOCKED"
    else
	echo "BACK DOOR UNLOCKED"
    fi
    
    if [ -f /mnt/us/update__this-file-prevents-installing-on-reboot.bin ]
    then
    	echo
	echo "Install-on-reboot disabled (dummy update present)"
    fi
    echo
    echo "Update file(s):"
    cd /mnt/us/ && ls -lh ?pdate*.bin 2>/dev/null | awk '{spaces=8-length($5); for (i=0;i<spaces;i++) printf " "; print  $5 " " $9}'
    ls /mnt/us/?pdate*.bin >/dev/null 2>&1 || echo "         - none -"
    echo
    echo "Downloading now:"
    cd /mnt/us/ && ls -lh FWUO*.partial 2>/dev/null | awk '{spaces=8-length($5); for (i=0;i<spaces;i++) printf " "; print  $5 " " $9}'
    ls /mnt/us/FWUO*.partial >/dev/null 2>&1 || echo "         - none -"
) | tee -a "$LOG" | tee "$DOC" | (
    if [ "$NOEIPS" != 1 ]
    then
	/usr/sbin/eips -c
	ln=2
	export IFS=
	while read line
	do
	    /usr/sbin/eips 1 $ln "$line"
	    ln=$(expr $ln + 1)
	done
	ln=$(expr $ln + 1)
	i=10
	while true
	do
	    sleep 1
	    i=$(expr $i - 1)
	    /usr/sbin/eips 1 $ln "The screen will be refreshed in $i seconds..."
	    [ "$i" == 0 ] && break
	done
	[ -e /proc/keypad ] && echo "send 102" > /proc/keypad
	[ -e /etc/upstart/pillow.conf ] && /sbin/restart pillow
	#dbus-send --system /default com.lab126.powerd.goingToScreenSaver int32:0
	#dbus-send --system /default com.lab126.powerd.outOfScreenSaver int32:1
    fi
    [ "$DOC" == /dev/null ] || dbus-send --system /default com.lab126.powerd.resuming int32:1
    true
)
