#! /bin/sh

PKGNAME="backdoorlock"
PKGVER="12"


# Prepare our files for this specific kindle model...
ARCH=${PKGNAME}_${PKGVER}

# Build install updates
./kindletool create ota2 -d k3w -d k3g -d k3gb -d kindle4 -d kindle5 install.sh updatewait bin/* README update_${ARCH}_install.bin
for device in k3w k3g k3gb
do
	./kindletool create ota1 -d ${device} install.sh updatewait bin/* README update_${ARCH}_${device}_install.bin
done

# Build uninstall updates
./kindletool create ota2 -d k3w -d k3g -d k3gb -d kindle4 -d kindle5 uninstall.sh update_${ARCH}_uninstall.bin
for device in k3w k3g k3gb
do
	./kindletool create ota1 -d ${device} uninstall.sh update_${ARCH}_${device}_uninstall.bin
done

# Pack the updates
rm -f ../${PKGNAME}_${PKGVER}.zip
zip -r ../${PKGNAME}_${PKGVER}.zip *.bin
rm -f *.bin

rm -f ../${PKGNAME}_kual_${PKGVER}.zip
cp -f updatewait kual-extension/${PKGNAME}/
cp -f README kual-extension/${PKGNAME}/
cp -rf bin kual-extension/${PKGNAME}/
# Workaround, extension .sh would cause executing the scripts during bundle installation
rename .s .sh kual-extension/${PKGNAME}/bin/*

cd kual-extension
zip -r ../../${PKGNAME}_kual_${PKGVER}.zip ${PKGNAME}
rm -f ${PKGNAME}/updatewait
rm -f ${PKGNAME}/README
rm -rf ${PKGNAME}/bin
cd ../../..
tar cvzf backdoorlock/backdoorlock_${PKGVER}_src.tar.gz --exclude '*.tar.gz' --exclude '*.zip' backdoorlock
