#!/bin/sh
#
# $Id: install.sh 6845 2010-09-23 23:11:24Z NiLuJe $
#
# diff OTA patch script

_FUNCTIONS=/etc/rc.d/functions
[ -f ${_FUNCTIONS} ] && . ${_FUNCTIONS}


MSG_SLLVL_D="debug"
MSG_SLLVL_I="info"
MSG_SLLVL_W="warn"
MSG_SLLVL_E="err"
MSG_SLLVL_C="crit"
MSG_SLNUM_D=0
MSG_SLNUM_I=1
MSG_SLNUM_W=2
MSG_SLNUM_E=3
MSG_SLNUM_C=4
MSG_CUR_LVL=/var/local/system/syslog_level

logmsg()
{
    local _NVPAIRS
    local _FREETEXT
    local _MSG_SLLVL
    local _MSG_SLNUM

    _MSG_LEVEL=$1
    _MSG_COMP=$2

    { [ $# -ge 4 ] && _NVPAIRS=$3 && shift ; }

    _FREETEXT=$3

    eval _MSG_SLLVL=\${MSG_SLLVL_$_MSG_LEVEL}
    eval _MSG_SLNUM=\${MSG_SLNUM_$_MSG_LEVEL}

    local _CURLVL

    { [ -f $MSG_CUR_LVL ] && _CURLVL=`cat $MSG_CUR_LVL` ; } || _CURLVL=1

    if [ $_MSG_SLNUM -ge $_CURLVL ]; then
        /usr/bin/logger -p local4.$_MSG_SLLVL -t "ota_install" "$_MSG_LEVEL def:$_MSG_COMP:$_NVPAIRS:$_FREETEXT"
    fi

    if [ "$_MSG_LEVEL" != "D" ]; then
      echo "ota_install: $_MSG_LEVEL def:$_MSG_COMP:$_NVPAIRS:$_FREETEXT"
    fi
}


#Create our dir at user store
[ -d /mnt/us/backdoorlock ] || mkdir /mnt/us/backdoorlock

update_progressbar 30

logmsg "I" "update" "Copy updatewait wrapper & force using it"
cp -f updatewait /mnt/us/backdoorlock/
sed -i 's|^_UPDATE_WAIT=.*$|_UPDATE_WAIT="$(if [ -x /mnt/us/backdoorlock/updatewait ]; then echo /mnt/us/backdoorlock/updatewait; else echo /usr/sbin/updatewait; fi)"|' /etc/updater.conf

update_progressbar 60

logmsg "I" "update" "Copy the helper scripts"
mkdir /mnt/us/backdoorlock/bin
[ -d /mnt/us/documents/backdoorlock ] || mkdir /mnt/us/documents/backdoorlock
cp -f bin/*.s /mnt/us/backdoorlock/bin/
ls /mnt/us/backdoorlock/bin/*.s | while read file; do mv -f ${file} ${file}h; done
cp -f README /mnt/us/backdoorlock/

update_progressbar 90

logmsg "I" "update" "Fix todo handler registry on KT and KPW"
if [ -f /etc/todo/handler_registry.conf ]
then
    sed -i 's/^[^#].*=com[.]lab126[.]ota.*$/#\0/g' /etc/todo/handler_registry.conf
fi

update_progressbar 100

logmsg "I" "update" "done"

return 0
